Skip to main content
PUT
/
v0
/
server-groups
Update a server group
curl --request PUT \
  --url https://controller.platform.simplecloud.app/v0/server-groups \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '
{
  "active": true,
  "deployment": {
    "hosts": [
      {
        "name": "main-host-1",
        "priority": 1
      }
    ],
    "strategy": "whitelist"
  },
  "max_memory": 2048,
  "max_players": 50,
  "min_memory": 1024,
  "name": "lobby",
  "priority": 10,
  "properties": {},
  "scaling": {
    "available_slots": 10,
    "max_servers": 3,
    "min_servers": 0,
    "player_threshold": 0.8,
    "scale_down": {
      "idle_time": "3m",
      "ignore_players": true
    },
    "scaling_mode": "SERVERS"
  },
  "source": {
    "blueprint": "123e4567-e89b-12d3-a456-426614174000",
    "image": "ghcr.io/user/custom-image:latest",
    "type": "blueprint"
  },
  "tags": [
    "<string>"
  ],
  "type": "SERVER",
  "workflows": {
    "manual": [
      "<string>"
    ],
    "when": {
      "start": [
        "<string>"
      ],
      "stop": [
        "<string>"
      ]
    }
  }
}
'
import requests

url = "https://controller.platform.simplecloud.app/v0/server-groups"

payload = {
    "active": True,
    "deployment": {
        "hosts": [
            {
                "name": "main-host-1",
                "priority": 1
            }
        ],
        "strategy": "whitelist"
    },
    "max_memory": 2048,
    "max_players": 50,
    "min_memory": 1024,
    "name": "lobby",
    "priority": 10,
    "properties": {},
    "scaling": {
        "available_slots": 10,
        "max_servers": 3,
        "min_servers": 0,
        "player_threshold": 0.8,
        "scale_down": {
            "idle_time": "3m",
            "ignore_players": True
        },
        "scaling_mode": "SERVERS"
    },
    "source": {
        "blueprint": "123e4567-e89b-12d3-a456-426614174000",
        "image": "ghcr.io/user/custom-image:latest",
        "type": "blueprint"
    },
    "tags": ["<string>"],
    "type": "SERVER",
    "workflows": {
        "manual": ["<string>"],
        "when": {
            "start": ["<string>"],
            "stop": ["<string>"]
        }
    }
}
headers = {
    "X-Network-ID": "<x-network-id>",
    "X-Network-Secret": "<x-network-secret>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'X-Network-ID': '<x-network-id>',
    'X-Network-Secret': '<x-network-secret>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    active: true,
    deployment: {hosts: [{name: 'main-host-1', priority: 1}], strategy: 'whitelist'},
    max_memory: 2048,
    max_players: 50,
    min_memory: 1024,
    name: 'lobby',
    priority: 10,
    properties: {},
    scaling: {
      available_slots: 10,
      max_servers: 3,
      min_servers: 0,
      player_threshold: 0.8,
      scale_down: {idle_time: '3m', ignore_players: true},
      scaling_mode: 'SERVERS'
    },
    source: {
      blueprint: '123e4567-e89b-12d3-a456-426614174000',
      image: 'ghcr.io/user/custom-image:latest',
      type: 'blueprint'
    },
    tags: ['<string>'],
    type: 'SERVER',
    workflows: {manual: ['<string>'], when: {start: ['<string>'], stop: ['<string>']}}
  })
};

fetch('https://controller.platform.simplecloud.app/v0/server-groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "active": true,
  "created_at": "2023-01-01T12:00:00Z",
  "deployment": {
    "hosts": [
      {
        "name": "main-host-1",
        "priority": 1
      }
    ],
    "strategy": "whitelist"
  },
  "max_memory": 2048,
  "max_players": 50,
  "min_memory": 1024,
  "name": "lobby",
  "priority": 10,
  "properties": {},
  "scaling": {
    "available_slots": 10,
    "max_servers": 3,
    "min_servers": 0,
    "player_threshold": 0.8,
    "scale_down": {
      "idle_time": "3m",
      "ignore_players": true
    },
    "scaling_mode": "SERVERS"
  },
  "server_group_id": "123e4567-e89b-12d3-a456-426614174000",
  "source": {
    "blueprint": "123e4567-e89b-12d3-a456-426614174000",
    "image": "ghcr.io/user/custom-image:latest",
    "type": "blueprint"
  },
  "tags": [
    "<string>"
  ],
  "type": "SERVER",
  "updated_at": "2023-01-01T12:00:00Z",
  "workflows": {
    "manual": [
      "<string>"
    ],
    "when": {
      "start": [
        "<string>"
      ],
      "stop": [
        "<string>"
      ]
    }
  }
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

server_group_id
string
required

Server Group ID

Body

application/json

Server group details

Request to update an existing server group

active
boolean
Example:

true

deployment
object

Deployment configuration for a server group

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"lobby"

priority
integer
Example:

10

properties
object
scaling
object

Scaling configuration for server groups

source
object

Source configuration for server groups

tags
string[]
type
string
Example:

"SERVER"

workflows
object

Workflows configuration for server groups

Response

OK

Response for updating a server group

active
boolean
Example:

true

created_at
string
Example:

"2023-01-01T12:00:00Z"

deployment
object

Deployment configuration for a server group

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"lobby"

priority
integer
Example:

10

properties
object
scaling
object

Scaling configuration for server groups

server_group_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

source
object

Source configuration for server groups

tags
string[]
type
string
Example:

"SERVER"

updated_at
string
Example:

"2023-01-01T12:00:00Z"

workflows
object

Workflows configuration for server groups